import de.raida.cad.dex.CADExportContainer;
import de.raida.cad.dex.cadexport.pdf3d.PDF3DExporterImplementation;
import de.raida.cad.dex.cadimport.jt.JTImporterImplementation;
import de.raida.cad.dex.interfaces.CADExportInterface;
import de.raida.cad.dex.interfaces.CADImportInterface;

/**
 * Example class for converting a CAD file into another format.
 * @author  <a href="mailto:j.raida@gmx.net">Johannes Raida</a>
 * @version 1.0
 */
public class Export3DPDF {
	/**
	 * Constructor, creating the scene.
	 * @param fileName File name
	 */
	public Export3DPDF(String fileName){
		try {
			// Load a JT file
			CADImportInterface cadImportInterface = new JTImporterImplementation();
			cadImportInterface.importFile(fileName, null);

			// Write the DXF file
			CADExportInterface cadExportInterface = new PDF3DExporterImplementation();
			cadExportInterface.exportFile(fileName + ".pdf", new CADExportContainer(cadImportInterface, fileName, true), null);
			
		} catch(Exception exception){
			exception.printStackTrace();
		}
	}

	/**
	 * Entry point of the class
	 * @param arguments Arguments, given by the command line
	 */
	public static void main(String[] arguments){
		if(arguments.length != 1){
			System.out.println("Wrong number of parameter!");
			System.out.println("Usage: java Export3DPDF <JT file>");
			return;
		}

		new Export3DPDF(arguments[0]);
	}
}